Package org.zkoss.zkex.bind.impl

## Class ReferenceBindingHandlerImpl

- java.lang.Object
- - org.zkoss.bind.impl.AbstractBindingHandler
  - - org.zkoss.zkex.bind.impl.ReferenceBindingHandlerImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `ReferenceBindingHandler`

      public class ReferenceBindingHandlerImpl
      extends AbstractBindingHandler
      implements ReferenceBindingHandler

  Author:
    dennis
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.impl.AbstractBindingHandler

      `_binder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReferenceBindingHandlerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addReferenceBinding​(Component comp, java.lang.String attr, ReferenceBinding binding)` |
    `void` | `removeReferenceBinding​(Component comp)` |
    `void` | `removeReferenceBinding​(Component comp, java.lang.String attr)` |

    - ### Methods inherited from class org.zkoss.bind.impl.AbstractBindingHandler

      `addBinding, clearValidationMessages, doPostPhase, doPrePhase, getLoadBindingDebugInfo, getNotifys, getSaveBindingDebugInfo, setBinder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.zkoss.bind.impl.ReferenceBindingHandler

      `setBinder`

- - ### Constructor Detail

    - #### ReferenceBindingHandlerImpl

          public ReferenceBindingHandlerImpl()

  - ### Method Detail

    - #### addReferenceBinding

          public void addReferenceBinding​(Component comp,
                                          java.lang.String attr,
                                          ReferenceBinding binding)

      Specified by:
        `addReferenceBinding` in interface `ReferenceBindingHandler`

    - #### removeReferenceBinding

          public void removeReferenceBinding​(Component comp)

      Specified by:
        `removeReferenceBinding` in interface `ReferenceBindingHandler`

    - #### removeReferenceBinding

          public void removeReferenceBinding​(Component comp,
                                             java.lang.String attr)

      Specified by:
        `removeReferenceBinding` in interface `ReferenceBindingHandler`